# GRAY User Agreement (2022.11.17)

Copyright (c) 2007-2022, ISTP-CNR

This software was developed by the Institute for Plasma Science and
Technology (ISTP), formerly Institute for Plasma Physics (IFP), National
Research Council of Italy (CNR) and its development was partly funded by
Euratom (under EFDA and EUROfusion consortium agreements). Its
distribution is subject to requirements and restrictions imposed by CNR
and Euratom.

In order to acquire access to the code sources, the recipient agrees:

1. To use the software exclusively for non-commercial research purposes.
2. Not to use the software for military purposes or any other purpose
falling under the provisions for non-proliferation.
3. To receive the software "as is", without any warranty that the
software is in good running order and that its use will not involve any
infringement of copyright; no liability can be accepted for damage or
injury arising from use of the software.
4. To include in published results or presentations the proper code
name(s) and appropriate references.
5. If the copy of the software downloaded by the authorized user is made
available to third parties, to ensure that the user agreement is
distributed to and followed by the third parties.

---

+ (3-bis) To notify <grayua@istp.cnr.it> if they discover that the
software contains any error or infringes any copyright.
+ (3-ter) To use the software without modification; users however are
welcome to request changes, or to contribute modifications subject to
approval of the authors.
+ (4-pre) To send a one-time email to <grayua@istp.cnr.it> describing
planned research using that module.
+ (4-bis) Prior to publication, to email a draft of the manuscript to
<grayua@istp.cnr.it>.

## Third-parties contributions acknowledgement

The solver for the plasma response function with parallel momentum
conservation for Current Drive calculation makes use of routines
developed by N.B. Marushchenko, Max Planck Institute of Plasma Physics,
Greifswald, Germany. This should be properly acknowledged, in case such
model is used:

N. B. Marushchenko, C. D. Beidler, and H. Maassberg, *Fusion Sci.
Technol.* **55** (2009) 180.

This software includes adaptations of software developed by the
University of Chicago, as Operator of Argonne National Laboratory, and
other public domain library routines obtained from the
[Netlib](https://netlib.org/) repository:

- [`dierckx`](https://netlib.org/dierckx/)
- [`minpack`](https://netlib.org/minpack/)
- [`quadpack`](https://netlib.org/quadpack/)
- [`slatec`](https://netlib.org/slatec/)

The full license notice for the `minpack` library can be found in the
[documentation](./minpack-LICENSE.txt).
